apiVersion: v1
kind: Endpoints
metadata:
  name: db
subsets:
  - addresses:
      - ip: 172.28.28.28
    ports:
      - port: 5432
---
apiVersion: v1
kind: Service
metadata:
  name: db
spec:
  ports:
    - port: 5432
---
apiVersion: v1
kind: Service
metadata:
  name: web
spec:
  selector:
    app: auth
  ports:
    - port: 8080
      targetPort: 5000
  type: ClusterIP
---
apiVersion: v1
kind: PersistentVolume
metadata:
  name: pv
spec:
  capacity:
    storage: 1Gi
  accessModes:
    - ReadWriteMany
  hostPath:
    path: /files
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: pvc
spec:
  accessModes:
    - ReadWriteMany
  storageClassName: ""
  volumeName: pv
  resources:
    requests:
      storage: 1Gi
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: auth
spec:
  selector:
    matchLabels:
      app: auth
  template:
    metadata:
      labels:
        app: auth
    spec:
      imagePullSecrets:
        - name: gitlab
      containers:
        - name: auth
          image: registry.gitlab.com/cyte_icsf/backlog/auth:v2.6.4
          imagePullPolicy: Always
          ports:
            - containerPort: 5000
          env:
            - name: URL_DNS
              valueFrom:
                configMapKeyRef:
                  name: cfg
                  key: URL_DNS
            - name: RES_PROTOCOL
              valueFrom:
                configMapKeyRef:
                  name: cfg
                  key: RES_PROTOCOL
            - name: DB_USER
              valueFrom:
                configMapKeyRef:
                  name: cfg
                  key: DB_USER
            - name: ENC_DB_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: sec
                  key: ENC_DB_PASSWORD
            - name: DB_AUTH_USER
              valueFrom:
                configMapKeyRef:
                  name: cfg
                  key: DB_AUTH_USER
            - name: ENC_DB_AUTH_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: sec
                  key: ENC_DB_AUTH_PASSWORD
          volumeMounts:
            - mountPath: /usr/src/file
              name: vol
      volumes:
        - name: vol
          persistentVolumeClaim:
            claimName: pvc
            readOnly: false

---
apiVersion: v1
kind: Service
metadata:
  name: auth
spec:
  selector:
    app: auth
  ports:
    - port: 5000
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: core
spec:
  selector:
    matchLabels:
      app: core
  template:
    metadata:
      labels:
        app: core
    spec:
      imagePullSecrets:
        - name: gitlab
      containers:
        - name: core
          image: registry.gitlab.com/cyte_icsf/backlog/core:v2.6.4
          imagePullPolicy: Always
          ports:
            - containerPort: 5000
          env:
            - name: URL_DNS
              valueFrom:
                configMapKeyRef:
                  name: cfg
                  key: URL_DNS
            - name: RES_PROTOCOL
              valueFrom:
                configMapKeyRef:
                  name: cfg
                  key: RES_PROTOCOL
          volumeMounts:
            - mountPath: /usr/src/file
              name: vol
      volumes:
        - name: vol
          persistentVolumeClaim:
            claimName: pvc
            readOnly: false
---
apiVersion: v1
kind: Service
metadata:
  name: core
spec:
  selector:
    app: core
  ports:
    - port: 5000
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: logs
spec:
  selector:
    matchLabels:
      app: logs
  template:
    metadata:
      labels:
        app: logs
    spec:
      imagePullSecrets:
        - name: gitlab
      containers:
        - name: logs
          image: registry.gitlab.com/cyte_icsf/backlog/logs:v2.4.4
          imagePullPolicy: Always
          ports:
            - containerPort: 5000
          #env:
          volumeMounts:
            - mountPath: /usr/src/file
              name: vol
      volumes:
        - name: vol
          persistentVolumeClaim:
            claimName: pvc
            readOnly: false
---
apiVersion: v1
kind: Service
metadata:
  name: logs
spec:
  selector:
    app: logs
  ports:
    - port: 5000
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: mail
spec:
  selector:
    matchLabels:
      app: mail
  template:
    metadata:
      labels:
        app: mail
    spec:
      imagePullSecrets:
        - name: gitlab
      containers:
        - name: mail
          image: registry.gitlab.com/cyte_icsf/backlog/mail:v2.2.0
          imagePullPolicy: Always
          ports:
            - containerPort: 5000
          #env:
          volumeMounts:
            - mountPath: /usr/src/file
              name: vol
      volumes:
        - name: vol
          persistentVolumeClaim:
            claimName: pvc
            readOnly: false
---
apiVersion: v1
kind: Service
metadata:
  name: mail
spec:
  selector:
    app: mail
  ports:
    - port: 5000
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: schedule
spec:
  selector:
    matchLabels:
      app: schedule
  template:
    metadata:
      labels:
        app: schedule
    spec:
      imagePullSecrets:
        - name: gitlab
      containers:
        - name: schedule
          image: registry.gitlab.com/cyte_icsf/backlog/schedule:v2.6.4
          imagePullPolicy: Always
          ports:
            - containerPort: 5000
          #env:
          volumeMounts:
            - mountPath: /usr/src/file
              name: vol
      volumes:
        - name: vol
          persistentVolumeClaim:
            claimName: pvc
            readOnly: false
---
apiVersion: v1
kind: Service
metadata:
  name: schedule
spec:
  selector:
    app: schedule
  ports:
    - port: 5000
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: report
spec:
  selector:
    matchLabels:
      app: report
  template:
    metadata:
      labels:
        app: report
    spec:
      imagePullSecrets:
        - name: gitlab
      containers:
        - name: report
          image: registry.gitlab.com/cyte_icsf/backlog/report:v2.6.3
          imagePullPolicy: Always
          ports:
            - containerPort: 5000
          #env:
          volumeMounts:
            - mountPath: /usr/src/file
              name: vol

      volumes:
        - name: vol
          persistentVolumeClaim:
            claimName: pvc
            readOnly: false
---
apiVersion: v1
kind: Service
metadata:
  name: report
spec:
  selector:
    app: report
  ports:
    - port: 5000
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: phishing
spec:
  selector:
    matchLabels:
      app: phishing
  template:
    metadata:
      labels:
        app: phishing
    spec:
      imagePullSecrets:
        - name: gitlab
      containers:
        - name: phishing
          image: registry.gitlab.com/cyte_icsf/backlog/phishing:v2.6.2
          imagePullPolicy: Always
          ports:
            - containerPort: 5000
          #env:
          volumeMounts:
            - mountPath: /usr/src/file
              name: vol
      volumes:
        - name: vol
          persistentVolumeClaim:
            claimName: pvc
            readOnly: false
---
apiVersion: v1
kind: Service
metadata:
  name: phishing
spec:
  selector:
    app: phishing
  ports:
    - port: 5000
  type: ClusterIP

---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: training
spec:
  selector:
    matchLabels:
      app: training
  template:
    metadata:
      labels:
        app: training
    spec:
      imagePullSecrets:
        - name: gitlab
      containers:
        - name: training
          image: registry.gitlab.com/cyte_icsf/backlog/training:v2.2.0
          imagePullPolicy: Always
          ports:
            - containerPort: 5000
          #env:
          volumeMounts:
            - mountPath: /usr/src/file
              name: vol
      volumes:
        - name: vol
          persistentVolumeClaim:
            claimName: pvc
            readOnly: false
---
apiVersion: v1
kind: Service
metadata:
  name: training
spec:
  selector:
    app: training
  ports:
    - port: 5000
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: console
spec:
  selector:
    matchLabels:
      app: console
  template:
    metadata:
      labels:
        app: console
    spec:
      imagePullSecrets:
        - name: gitlab
      containers:
        - name: console
          image: registry.gitlab.com/cyte_icsf/backlog/console:v2.6.4
          imagePullPolicy: Always
          ports:
            - containerPort: 5000
          #env:
          volumeMounts:
            - mountPath: /usr/src/file
              name: vol
      volumes:
        - name: vol
          persistentVolumeClaim:
            claimName: pvc
            readOnly: false
---
apiVersion: v1
kind: Service
metadata:
  name: console
spec:
  selector:
    app: console
  ports:
    - port: 5000
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: policy
spec:
  selector:
    matchLabels:
      app: policy
  template:
    metadata:
      labels:
        app: policy
    spec:
      imagePullSecrets:
        - name: gitlab
      containers:
        - name: policy
          image: registry.gitlab.com/cyte_icsf/backlog/policy:v2.6.2
          imagePullPolicy: Always
          ports:
            - containerPort: 5000
          #env:
          volumeMounts:
            - mountPath: /usr/src/file
              name: vol
      volumes:
        - name: vol
          persistentVolumeClaim:
            claimName: pvc
            readOnly: false
---
apiVersion: v1
kind: Service
metadata:
  name: policy
spec:
  selector:
    app: policy
  ports:
    - port: 5000
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: mailer
spec:
  selector:
    matchLabels:
      app: mailer
  template:
    metadata:
      labels:
        app: mailer
    spec:
      imagePullSecrets:
        - name: gitlab
      containers:
        - name: mailer
          image: registry.gitlab.com/cyte_icsf/backlog/mailer:v2.6.0
          imagePullPolicy: Always
          ports:
            - containerPort: 5000
          #env:
          volumeMounts:
            - mountPath: /usr/src/file
              name: vol
      volumes:
        - name: vol
          persistentVolumeClaim:
            claimName: pvc
            readOnly: false
---
apiVersion: v1
kind: Service
metadata:
  name: mailer
spec:
  selector:
    app: mailer
  ports:
    - port: 5000
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: sms
spec:
  selector:
    matchLabels:
      app: sms
  template:
    metadata:
      labels:
        app: sms
    spec:
      imagePullSecrets:
        - name: gitlab
      containers:
        - name: sms
          image: registry.gitlab.com/cyte_icsf/backlog/sms:v2.4.4
          imagePullPolicy: Always
          ports:
            - containerPort: 5000
          #env:
          volumeMounts:
            - mountPath: /usr/src/file
              name: vol
      volumes:
        - name: vol
          persistentVolumeClaim:
            claimName: pvc
            readOnly: false
---
apiVersion: v1
kind: Service
metadata:
  name: syslog
spec:
  selector:
    app: syslog
  ports:
    - port: 5000
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: syslog
spec:
  selector:
    matchLabels:
      app: syslog
  template:
    metadata:
      labels:
        app: syslog
    spec:
      imagePullSecrets:
        - name: gitlab
      containers:
        - name: syslog
          image: registry.gitlab.com/cyte_icsf/backlog/syslog:v2.5.0
          imagePullPolicy: Always
          ports:
            - containerPort: 5000
          #env:
          volumeMounts:
            - mountPath: /usr/src/file
              name: vol
      volumes:
        - name: vol
          persistentVolumeClaim:
            claimName: pvc
            readOnly: false
---
apiVersion: v1
kind: Service
metadata:
  name: sms
spec:
  selector:
    app: sms
  ports:
    - port: 5000
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: adservice
spec:
  selector:
    matchLabels:
      app: adservice
  template:
    metadata:
      labels:
        app: adservice
    spec:
      imagePullSecrets:
        - name: gitlab
      containers:
        - name: adservice
          image: registry.gitlab.com/cyte_icsf/backlog/adservice:v2.2.0
          imagePullPolicy: Always
          ports:
            - containerPort: 5000
          #env:
          volumeMounts:
            - mountPath: /usr/src/file
              name: vol
      volumes:
        - name: vol
          persistentVolumeClaim:
            claimName: pvc
            readOnly: false
---
apiVersion: v1
kind: Service
metadata:
  name: adservice
spec:
  selector:
    app: adservice
  ports:
    - port: 5000
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: puppeteer
spec:
  selector:
    matchLabels:
      app: puppeteer
  template:
    metadata:
      labels:
        app: puppeteer
    spec:
      imagePullSecrets:
        - name: gitlab
      containers:
        - name: puppeteer
          image: registry.gitlab.com/cyte_icsf/backlog/puppeteer:v2.6.0
          imagePullPolicy: Always
          ports:
            - containerPort: 5000
          env:
            - name: HUNTER_FORM_ANALYSIS_EXTRA_PAGE_WAIT_TIME_SECS
              valueFrom:
                configMapKeyRef:
                  name: cfg
                  key: HUNTER_FORM_ANALYSIS_EXTRA_PAGE_WAIT_TIME_SECS
            - name: HUNTER_FORM_ANALYSIS_DEFAULT_TIMEOUT_SECS
              valueFrom:
                configMapKeyRef:
                  name: cfg
                  key: HUNTER_FORM_ANALYSIS_DEFAULT_TIMEOUT_SECS
            - name: HUNTER_FORM_ANALYSIS_ABORT_AT_MAX_TIMEOUT_SECS
              valueFrom:
                configMapKeyRef:
                  name: cfg
                  key: HUNTER_FORM_ANALYSIS_ABORT_AT_MAX_TIMEOUT_SECS
            - name: HUNTER_FORM_ANALYSIS_KEEP_BROWSER_OPEN_FOR_SECS
              valueFrom:
                configMapKeyRef:
                  name: cfg
                  key: HUNTER_FORM_ANALYSIS_KEEP_BROWSER_OPEN_FOR_SECS
          volumeMounts:
            - mountPath: /usr/src/file
              name: vol
      volumes:
        - name: vol
          persistentVolumeClaim:
            claimName: pvc
            readOnly: false

---
apiVersion: v1
kind: Service
metadata:
  name: puppeteer
spec:
  selector:
    app: puppeteer
  ports:
    - port: 5000
  type: ClusterIP

---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: dnsintegration
spec:
  selector:
    matchLabels:
      app: dnsintegration
  template:
    metadata:
      labels:
        app: dnsintegration
    spec:
      imagePullSecrets:
        - name: gitlab
      containers:
        - name: dnsintegration
          image: registry.gitlab.com/cyte_icsf/backlog/dnsintegration:v2.6.4
          ports:
            - containerPort: 5000
          env:
            - name: INTELLIGENCE_API_ROOT_FOR_CLIENT
              valueFrom:
                configMapKeyRef:
                  name: cfg
                  key: INTELLIGENCE_API_ROOT_FOR_CLIENT
            - name: FORENSICS_API_ROOT_FOR_CLIENT
              valueFrom:
                configMapKeyRef:
                  name: cfg
                  key: FORENSICS_API_ROOT_FOR_CLIENT
            - name: ANALYSIS_API_ROOT_FOR_CLIENT
              valueFrom:
                configMapKeyRef:
                  name: cfg
                  key: ANALYSIS_API_ROOT_FOR_CLIENT
            - name: INTELLIGENCE_FALLBACK_ROKSIT
              valueFrom:
                configMapKeyRef:
                  name: cfg
                  key: INTELLIGENCE_FALLBACK_ROKSIT
            # - name: DEBUGGING
            #   valueFrom:
            #     configMapKeyRef:
            #       name: cfg
            #       key: DEBUGGING
          volumeMounts:
            - mountPath: /usr/src/file
              name: vol
      volumes:
        - name: vol
          persistentVolumeClaim:
            claimName: pvc
            readOnly: false
---
apiVersion: v1
kind: Service
metadata:
  name: dnsintegration
spec:
  selector:
    app: dnsintegration
  ports:
    - port: 5000
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: agents
spec:
  selector:
    matchLabels:
      app: agents
  template:
    metadata:
      labels:
        app: agents
    spec:
      imagePullSecrets:
        - name: gitlab
      containers:
        - name: agents
          image: registry.gitlab.com/cyte_icsf/backlog/agents:v2.6.4
          imagePullPolicy: Always
          ports:
            - containerPort: 5000
          env:
            - name: GRAPH_DB_URI
              valueFrom:
                configMapKeyRef:
                  name: cfg
                  key: GRAPH_DB_URI
            - name: GRAPH_DB_USER
              valueFrom:
                configMapKeyRef:
                  name: cfg
                  key: GRAPH_DB_USER
            - name: ENC_GRAPH_DB_PASSWORD
              valueFrom:
                configMapKeyRef:
                  name: cfg
                  key: ENC_GRAPH_DB_PASSWORD
            - name: ELASTIC_URL
              valueFrom:
                configMapKeyRef:
                  name: cfg
                  key: ELASTIC_URL
            # - name: DEBUGGING
            #   valueFrom:
            #     configMapKeyRef:
            #       name: cfg
            #       key: DEBUGGING
          volumeMounts:
            - mountPath: /usr/src/file
              name: vol
      volumes:
        - name: vol
          persistentVolumeClaim:
            claimName: pvc
            readOnly: false
---
apiVersion: v1
kind: Service
metadata:
  name: agents
spec:
  selector:
    app: agents
  ports:
    - port: 5000
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: osslsigncode
spec:
  selector:
    matchLabels:
      app: osslsigncode
  template:
    metadata:
      labels:
        app: osslsigncode
    spec:
      imagePullSecrets:
        - name: gitlab
      containers:
        - name: osslsigncode
          image: registry.gitlab.com/cyte_icsf/backlog/osslsigncode:v2.4.0
          ports:
            - containerPort: 5000
          #env:
          volumeMounts:
            - mountPath: /usr/src/file
              name: vol
      volumes:
        - name: vol
          persistentVolumeClaim:
            claimName: pvc
            readOnly: false
---
apiVersion: v1
kind: Service
metadata:
  name: osslsigncode
spec:
  selector:
    app: osslsigncode
  ports:
    - port: 5000
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: fetch
spec:
  selector:
    matchLabels:
      app: fetch
  template:
    metadata:
      labels:
        app: fetch
    spec:
      imagePullSecrets:
        - name: gitlab
      containers:
        - name: fetch
          image: registry.gitlab.com/cyte_icsf/backlog/fetch:v2.2.0
          ports:
            - containerPort: 5000
          #env:
          volumeMounts:
            - mountPath: /usr/src/file
              name: vol
      volumes:
        - name: vol
          persistentVolumeClaim:
            claimName: pvc
            readOnly: false
---
apiVersion: v1
kind: Service
metadata:
  name: fetch
spec:
  selector:
    app: fetch
  ports:
    - port: 5000
  type: ClusterIP
#---
#apiVersion: apps/v1
#kind: Deployment
#metadata:
#name: intel
#spec:
#selector:
#matchLabels:
#app: intel
#template:
#metadata:
#labels:
#app: intel
#spec:
#imagePullSecrets:
#- name: gitlab
#containers:
#- name: intel
#image: registry.gitlab.com/cyte_icsf/backlog/intel:v2.6.0
#imagePullPolicy: Always
#ports:
#- containerPort: 5000
#env:
#- name: URL_DNS
#valueFrom:
#configMapKeyRef:
#name: cfg
#key: URL_DNS
#- name: RES_PROTOCOL
#valueFrom:
#configMapKeyRef:
#name: cfg
#key: RES_PROTOCOL
#volumeMounts:
#- mountPath: /usr/src/file
#name: vol
#volumes:
#- name: vol
#persistentVolumeClaim:
#claimName: pvc
#readOnly: false
#---
#apiVersion: v1
#kind: Service
#metadata:
#name: intel
#spec:
#selector:
#app: intel
#ports:
#- port: 5000
#type: ClusterIP

